#!/ffp/bin/sh

DESC="Resilio"
NAME=resilio-sync
PIDFILE=/ffp/var/run/$NAME.pid
RUN_AS=root
COMMAND="/ffp/bin/rslsync --config /ffp/etc/resilio-sync.conf"

d_start() {
    /ffp/bin/su $RUN_AS -s "${SHELL}" -c "umask 0; $COMMAND" > /dev/null 2>&1
}

d_stop() {
    cat /ffp/var/run/sync.pid | xargs kill -9 > /dev/null 2>&1
    killall rslsync
    if [ -e $PIDFILE ]
        then rm $PIDFILE
    fi
}

case $1 in
    start)
    echo -n "Starting $DESC: $NAME"
    d_start
    echo "."
    ;;
    stop)
    echo -n "Stopping $DESC: $NAME"
    d_stop
    echo "."
    ;;
    restart)
    echo -n "Restarting $DESC: $NAME"
    d_stop
    sleep 1
    d_start
    echo "."
    ;;
    *)
    echo "usage: $NAME {start|stop|restart}"
    exit 1
    ;;
esac

exit 0
